Skip to main content
POST
Batch read properties

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectTypeId
string
required

The unique identifier of the object type for which properties are being retrieved.

Query Parameters

fields
enum<string>[]

An array of field names to include in the response. Valid values include 'category', 'label', 'type', 'fieldType', 'groupName', 'description', 'options', 'createdAt', 'updatedAt', 'hidden', 'readOnlyValue', 'readOnlyDefinition', 'hasUniqueValue', 'archivable', 'readOnlyOptions', 'calculationFormula', 'archived', 'calculated', 'optionsSource', 'dateDisplayFormat', 'numberDisplayFormat', 'currencyPropertyName', 'updatedByUserId', 'createdByUserId', 'dataEntryInstructions', 'optionColors', 'accessAllowlist', 'dataSensitivity', 'defaultValue', 'formField', 'sensitiveDataCategories', 'validationRules', 'rollupConfig', 'syncConfig'.

Available options:
category,
label,
type,
fieldType,
groupName,
description,
options,
createdAt,
updatedAt,
hidden,
readOnlyValue,
readOnlyDefinition,
hasUniqueValue,
archivable,
readOnlyOptions,
calculationFormula,
archived,
calculated,
optionsSource,
dateDisplayFormat,
numberDisplayFormat,
currencyPropertyName,
updatedByUserId,
createdByUserId,
dataEntryInstructions,
optionColors,
accessAllowlist,
dataSensitivity,
defaultValue,
formField,
sensitiveDataCategories,
validationRules,
rollupConfig,
syncConfig

Body

application/json
inputs
object[]
required

An array of property name inputs to be read. Each item in the array is an object that specifies the name of the property to be retrieved.

Response

successful operation

completedAt
string<date-time>
required

The date and time when the batch operation was completed, in ISO 8601 format.

results
object[]
required

An array of results from the batch operation, each item representing a public API property involved in the operation.

startedAt
string<date-time>
required

The date and time when the batch operation started, in ISO 8601 format.

status
enum<string>
required

The current status of the batch operation. Valid values include 'PENDING', 'PROCESSING', 'CANCELED', and 'COMPLETE'.

Available options:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

A map of link names to associated URIs, providing additional resources or documentation related to the batch operation.

requestedAt
string<date-time>

The date and time when the batch operation was requested, in ISO 8601 format.

Last modified on November 5, 2026